%
% anyremote configuration file for  customization of GUI of Java client. (Server-mode)
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Customize client 4
GuiAppType=Example
GuiAppBinary=true
GuiAppProtocols=Server
GuiAppDesc=Example of possible customization of Java Client. Shows how to set colors and fonts.

[Protocol]=Server

(Init)=Include($(CfgDir)/Utils/aliases-server.cfg);
(Connect)=Set(parameter,debug,on);\
	Set(icons,Customize-4,1,vol_down,2,mute,3,vol_up,4,rewind,5,play,6,forward,7,prev,8,stop,9,next,*,question,0,pause,#,no);\
        Set(status,test);\
        Set(font,large,bold,italic,system);\
        Set(title,discover how to set colors&fonts in lists and text viewer);

* *=Set(text,replace,Help,Just press buttons\nand inspect results.)
Back=Set(text,close);
Back($$)=Set(list,close);

1=Set(text,bg,0,0,255);Set(text,fg,255,255,0);Set(text,replace,Text colors,set foreground and background colors);
2=Set(list,bg,0,0,255);Set(list,fg,255,255,0);Set(list,replace,List colors,set,foreground,and,background,colors);

4=Set(text,font,small);Set(text,replace,Small font,set font size in text viewer);
5=Set(text,font,medium);Set(text,replace,Medium font,set font size in text viewer);
6=Set(text,font,large);Set(text,replace,Large font,set font size in text viewer);

7=Set(list,font,small);Set(list,replace,Small font,set,font,size,in,text,viewer);
8=Set(list,font,medium);Set(list,replace,Medium font,set,font,size,in,text,viewer);
9=Set(list,font,large);Set(list,replace,Large font,set,font,size,in,text,viewer);

#=Set(text,bg,255,255,255);Set(text,fg,0,0,0);Set(text,font,small);Set(list,bg,255,255,255);Set(list,fg,0,0,0);Set(list,font,small);Set(status,test)

[End]
